
import openmc
import openmc.deplete

openmc.Materials.cross_sections='/media/sf_Flux_Up/endfb-viii.0-hdf5/cross_sections.xml'
results = openmc.deplete.Results("/media/sf_Flux_Up/flux-up/example-openmc-inputs/pincell_depletion/depletion_results.h5")
times=results.get_times('d')
#print(times)
#print(len(times))
known_burnups=[2,4,6,8,10]
power=100
materials=results.export_to_materials(burnup_index=0)
kgIHM=materials[0].fissionable_mass*1000
burnup_calcs=power*times[1:]/kgIHM
print(burnup_calcs)
for i in range(0,len(burnup_calcs)):
    assert known_burnups[i]-burnup_calcs[i]<10**-21
#for n in range(1,len(times)):
#    materials=results.export_to_materials(burnup_index=n)
#    for i in range(0,len(materials)):
#        if materials[i].name.__contains__("enrichment"):
#            materials[i].volume=3.1415*0.39218**2
#            print('time (days) :'+str(times[n])+'/n')
            #burnup_calc=power*days/kgIHM
            #print(100*times[n]/(materials[i].fissionable_mass))
           # kgIHM=materials[i].fissionable_mass*1000
            #power=100 #MW

            #burnup_calc=power*times[n]/kgIHM
            #print(burnup_calc)
            

        
