import matplotlib.pyplot as plt

def plot_tallies(tally,fnamePrefix, sampleIndices,groupIndices):
    for sampleIndex in sampleIndices:
        for groupIndex in groupIndices:
            data = tally[sampleIndex,groupIndex,:,:]
            image = plt.imshow(data,origin='lower')
            cbar = plt.colorbar(image)
            plt.savefig(fnamePrefix + '_{:d}_group_{:d}.png'.format(sampleIndex,groupIndex),transparent=False, facecolor='w')
            plt.close()
            