from .context import src
import src.make_samples as ms
import numpy as np
import src.OpenMCDepletion as OpenMCDepletion

def test_read_materials():
    omcd = OpenMCDepletion('./data/depletion_pincell/1.6')
    fuel16BOL = omcd.get_material_name('Fuel 1.6%', 0)
    fuel16EOL = omcd.get_material_name('Fuel 1.6%', omcd.NBUSteps()-1)
    fuel16AllBUSteps = omcd.get_material_name('Fuel 1.6%')
    # NB fissionable mass is the same as heavy metal (Z>=90)
    assert fuel16AllBUSteps[0].fissionable_mass == fuel16BOL.fissionable_mass
    assert fuel16AllBUSteps[-1].fissionable_mass == fuel16EOL.fissionable_mass
    
